using Skcks.Study.AbpProject.Localization;
using Volo.Abp.Authorization.Permissions;
using Volo.Abp.Localization;
using Volo.Abp.MultiTenancy;

namespace Skcks.Study.AbpProject.Permissions;

public class AbpProjectPermissionDefinitionProvider : PermissionDefinitionProvider
{
    public override void Define(IPermissionDefinitionContext context)
    {
        var myGroup = context.AddGroup(AbpProjectPermissions.GroupName);

        //Define your own permissions here. Example:
        //myGroup.AddPermission(AbpProjectPermissions.MyPermission1, L("Permission:MyPermission1"));
    }

    private static LocalizableString L(string name)
    {
        return LocalizableString.Create<AbpProjectResource>(name);
    }
}
