﻿using Volo.Abp.Ui.Branding;
using Volo.Abp.DependencyInjection;
using Microsoft.Extensions.Localization;
using Skcks.Study.AbpProject.Localization;

namespace Skcks.Study.AbpProject.Web;

[Dependency(ReplaceServices = true)]
public class AbpProjectBrandingProvider : DefaultBrandingProvider
{
    private IStringLocalizer<AbpProjectResource> _localizer;

    public AbpProjectBrandingProvider(IStringLocalizer<AbpProjectResource> localizer)
    {
        _localizer = localizer;
    }

    public override string AppName => _localizer["AppName"];
}
